Loading...
Searching...
No Matches
http_client.c File Reference
`#include "lwip/apps/http_client.h"`
`#include "lwip/altcp_tcp.h"`
`#include "lwip/dns.h"`
`#include "lwip/debug.h"`
`#include "lwip/mem.h"`
`#include "lwip/altcp_tls.h"`
`#include "lwip/init.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

## Macros

#define | HTTPC_DEBUG LWIP_DBG_OFF
#define | HTTPC_DEBUG_REQUEST 0
#define | HTTPC_CLIENT_AGENT "lwIP/" LWIP_VERSION_STRING " (http://savannah.nongnu.org/projects/lwip)"

## Functions

err_t | httpc_get_file (const ip_addr_t *server_addr, u16_t port, const char *uri, const httpc_connection_t *settings, altcp_recv_fn recv_fn, void *callback_arg, httpc_state_t **connection)
err_t | httpc_get_file_dns (const char *server_name, u16_t port, const char *uri, const httpc_connection_t *settings, altcp_recv_fn recv_fn, void *callback_arg, httpc_state_t **connection)

## Detailed Description

HTTP client

## Macro Definition Documentation

## HTTPC_CLIENT_AGENT

#define HTTPC_CLIENT_AGENT "lwIP/" LWIP_VERSION_STRING " (http://savannah.nongnu.org/projects/lwip)"

This string is passed in the HTTP header as "User-Agent: "

## HTTPC_DEBUG

#define HTTPC_DEBUG LWIP_DBG_OFF

HTTPC_DEBUG: Enable debugging for HTTP client.

## HTTPC_DEBUG_REQUEST

#define HTTPC_DEBUG_REQUEST 0

Set this to 1 to keep server name and uri in request state